Loading...
Searching...
No Matches
QGpgME::ReceiveKeysJob Class Referenceabstract
Inheritance diagram for QGpgME::ReceiveKeysJob:
[legend]
Collaboration diagram for QGpgME::ReceiveKeysJob:
[legend]

## Public Member Functions

virtual GpgME::Error | start (const QStringList &keyIds)=0
virtual GpgME::ImportResult | exec (const QStringList &keyIds)=0
Public Member Functions inherited from QGpgME::Job
virtual QString | auditLogAsHtml () const
virtual GpgME::Error | auditLogError () const
bool | isAuditLogSupported () const
GpgME::Error | startIt ()
void | startNow ()

## Protected Member Functions

| ReceiveKeysJob (QObject *parent)
Protected Member Functions inherited from QGpgME::AbstractImportJob
| AbstractImportJob (std::unique_ptr< AbstractImportJobPrivate >, QObject *parent)
| AbstractImportJob (QObject *parent)
Protected Member Functions inherited from QGpgME::Job
| Job (std::unique_ptr< JobPrivate >, QObject *parent)
| Job (QObject *parent)

## Additional Inherited Members

Public Slots inherited from QGpgME::Job
virtual void | slotCancel ()=0
Signals inherited from QGpgME::AbstractImportJob
void | result (const GpgME::ImportResult &result, const QString &auditLogAsHtml=QString(), const GpgME::Error &auditLogError=GpgME::Error())
Signals inherited from QGpgME::Job
void | jobProgress (int current, int total)
void | rawProgress (const QString &what, int type, int current, int total)
QGPGME_DEPRECATED void | progress (const QString &what, int current, int total)
void | done ()
Static Public Member Functions inherited from QGpgME::Job
static GpgME::Context * | context (Job *job)
Protected Attributes inherited from QGpgME::Job
const std::unique_ptr< JobPrivate > | d_ptr

## Member Function Documentation

## exec()

virtual GpgME::ImportResult QGpgME::ReceiveKeysJob::exec | ( | const QStringList & | keyIds | ) |

pure virtual

Runs the import of keys from a keyserver. keyIds is a list of key ids and/or fingerprints specifying the keys to import.

Implemented in QGpgME::QGpgMEReceiveKeysJob.

## start()

virtual GpgME::Error QGpgME::ReceiveKeysJob::start | ( | const QStringList & | keyIds | ) |

pure virtual

Starts the import of keys from a keyserver. keyIds is a list of key ids and/or fingerprints specifying the keys to import.

Implemented in QGpgME::QGpgMEReceiveKeysJob.

The documentation for this class was generated from the following files:

- receivekeysjob.h
- receivekeysjob.cpp